File: configure.in

package info (click to toggle)
gtkorphan 0.4.4-1
  • links: PTS
  • area: main
  • in suites: lenny, squeeze
  • size: 848 kB
  • ctags: 71
  • sloc: sh: 3,241; perl: 734; makefile: 137
file content (48 lines) | stat: -rw-r--r-- 975 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
dnl -*- Mode: autoconf -*-
dnl Process this file with autoconf to produce a configure script.


AC_INIT(gtkorphan, 0.4.4)
AC_CONFIG_SRCDIR(gtkorphan.in)
AM_INIT_AUTOMAKE(gtkorphan,0.4.4)
AM_MAINTAINER_MODE

dnl required packages version
REQUIRED_GTK2PERL=1.100

dnl put the ACLOCAL flags in the makefile
ACLOCAL="$ACLOCAL $ACLOCAL_FLAGS"

ALL_LINGUAS="it fr bg de cs vi sv nl zh_CN" 
GETTEXT_PACKAGE=gtkorphan
AC_SUBST(GETTEXT_PACKAGE)
AC_DEFINE_UNQUOTED(GETTEXT_PACKAGE, "$GETTEXT_PACKAGE", [Gettext package])
AM_GLIB_GNU_GETTEXT
AC_PROG_INTLTOOL


dnl check for Perl modules
dnl gtk2-perl
AC_MSG_CHECKING(for Gtk2 >= $REQUIRED_GTK2PERL)
prog="
use Gtk2;
exit 0 if Gtk2->VERSION >= $REQUIRED_GTK2PERL;
exit 1;
"
if perl -e "$prog" 1>&AC_FD_CC 2>&AC_FD_CC; then
	AC_MSG_RESULT(found)
else
	AC_MSG_RESULT(not found)
	AC_MSG_ERROR(required gtk2-perl version not found)
fi


AC_CONFIG_FILES([
	Makefile
	data/Makefile
	icons/Makefile
	lib/Makefile
	po/Makefile.in
])

AC_OUTPUT